
Foreman - Bug #6382

foreman_discovery fails to load "uninitialized constant Net::Validations::MAC_REGEXP (NameError)"

06/25/2014 01:40 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Network   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This commit:

https://github.com/theforeman/foreman/commit/e42aa400f4a03450520b87bf6ea200bc101af740#diff-f931fc066ae7973420792a69ab

1fbfcbL5

appears to have broken discovery in nightly:

as that constant is used here: 

https://github.com/theforeman/foreman/commit/e42aa400f4a03450520b87bf6ea200bc101af740#diff-f931fc066ae7973420792a69ab

1fbfcbL5

We noticed this in katello on installation:

/opt/rh/ruby193/root/usr/share/gems/gems/foreman_hooks-0.3.7/lib/foreman_hooks.rb:83:in `load_missing_constant_with_hooks':

uninitialized constant Net::Validations::MAC_REGEXP (NameError)

from /opt/rh/ruby193/root/usr/share/gems/gems/rake-0.9.2.2/lib/rake/ext/module.rb:36:in `const_missing'

from /opt/rh/ruby193/root/usr/share/gems/gems/foreman_discovery-1.3.0/app/models/host/discovered.rb:10:in `<class:Discovered>'

from /opt/rh/ruby193/root/usr/share/gems/gems/foreman_discovery-1.3.0/app/models/host/discovered.rb:3:in `<top (required)>'

from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

Related issues:

Related to Foreman - Feature #5915: Support 64-bit MAC addresses Closed 05/23/2014

Related to Discovery - Feature #6404: Support for 64bit MAC addresses Duplicate 06/26/2014

Associated revisions

Revision 67c3b863 - 06/26/2014 07:21 PM - Justin Sherrill

fixes #6382 - revert name change of 48bit mac address regex to fix discovery

History

#1 - 06/25/2014 01:40 PM - Justin Sherrill

- Subject changed from foreman_discovery fails to load  uninitialized constant Net::Validations::MAC_REGEXP (NameError) to foreman_discovery

fails to load "uninitialized constant Net::Validations::MAC_REGEXP (NameError)"

#2 - 06/25/2014 01:57 PM - Justin Sherrill

apologies, meant to say, that the constant is used here:   

https://github.com/theforeman/foreman_discovery/blob/develop/app/models/host/discovered.rb#L10

#3 - 06/26/2014 08:23 AM - Dominic Cleal

- Project changed from Discovery to Foreman

- Category changed from Discovery plugin to Network

- Status changed from New to Ready For Testing

- Assignee set to Justin Sherrill
- Target version set to 1.8.1

- translation missing: en.field_release set to 10

https://github.com/theforeman/foreman/pull/1541

#4 - 06/26/2014 08:24 AM - Dominic Cleal

- Related to Feature #5915: Support 64-bit MAC addresses added

#5 - 06/26/2014 11:48 AM - Lukas Zapletal

- Related to Feature #6404: Support for 64bit MAC addresses added

#6 - 06/26/2014 07:31 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 67c3b863d785ed772063f3023301e0737a3a910d.
